* {
  font-family:Arial, Helvetica, sans-serif;
  margin:0px;
  border:0px;
  padding:0px;
  z-index: 5;
}

:root{
  --colMain: #0b001e;
  --colAcc: #5c00e5;
  --colAcc2: #31007a;
  --colAcc3: #210053;
  --colCon: #0f3036;
  --colComp1: #37c2d8;
  --colComp2: #0b8dcd;
  --colDark: #120520;
  --colLight: #7939D5;
  --colLighter: #a052ff;
  --colBk: #1f1f1f;
  --colWh: #fafafa;
  --colLink: #37c2d8;
  /*Electric
  --colMain: #5c00e5;
  --colAcc: #1010e5;
  --colCon: #ad0c00;
  --colComp1: #e5005b;
  --colComp2: #00e500;
  --colDark: #0f033f;
  --colBk: #202020;
  --colWh: #f5f5f5;
  --colLink: #ebb9ff;
  /*Old:
  --colMain: #054384;
  --colAcc: #06A2B3;
  --colCon: #ff6e0b;
  --colDark: #03203F;
  --colLink: #75f1ff;
  */
}

body {
  background: linear-gradient(-3deg,var(--colMain) 0% , var(--colAcc2) 15%, var(--colMain) 30%, var(--colMain) 45%, var(--colCon) 65%,  var(--colCon) 70%, var(--colMain) 85%, var(--colAcc2) 100%);
  height:100vh;
  background-attachment: fixed;
}

div {
  background-color: none;
}

.deco {
  margin: 1em;
  padding: 0;
  border: 4px solid var(--colAcc);
  box-shadow: inset 0px 0px 30px 0px var(--colAcc2), 0px 0px 20px 0px var(--colAcc2);
  border-radius: 2em;
  background-color: var(--colDark);
}

.centered {
  text-align: center;
}

.columns {
  display: grid;
  grid-template-columns: auto 60% 17%;
  padding: 10px;
  margin: 0 10%;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 2em;
  margin-bottom: 1em;
}

.header {
  display: grid;
  grid-template-columns: auto 20%;
}

.buttoneg {
  background-color: var(--colAcc3);
  color: var(--colLight);
  width: 88px;
  font-family: 'Courier New', Courier, monospace;
  font-size: 6;
}

.linkcols {
  display: grid;
  grid-template-columns: auto 30% auto;
  margin: 10%;
}

.linkcols img {
  max-width: 100%
}

@keyframes float-horizontal {
    0% { left: 0; }
    100% { left: calc(100% - 100px); }
}
@keyframes float-vertical {
    0% { top: 0; }
    100% { top: calc(100% - 100px); }
}
.floating-image {
    position: fixed;
    z-index: 1;
    animation: float-horizontal 8s linear infinite alternate,
               float-vertical 3.6s linear infinite alternate;
    pointer-events: none;
    animation-delay: 0s, 0s; 
    opacity: 0.4;
}

.collapse {
  color: var(--colLight);
  background: none;
  cursor: pointer;
  max-width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 20px;
  font-weight: bold;
  margin: 1em 0em 0em 1em;
  font-family: 'Courier New', Courier, monospace;
}
.collapse:before {
  content: '> ';
}
.active:before {
  content: "⌄ "; 
}

.content {
  color: var(--colLighter);
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.visualizerbutton {
  padding: 0.25em;
  background-color: var(--colMain);
  color: var(--colLight);
  border: 2px solid var(--colAcc);
  border-radius: 1em;
  margin: 0.2em;
  font-family: 'Courier New', Courier, monospace;
}

.visualizerbutton:hover {
  transition: transform 0.2s ease-in-out;
  transform: scale(1.1);
  background-color: var(--colAcc3);
}

.mybutton {
  margin-top: 1em;
}

h1, h2, h3, li, pre{
  color: var(--colLight);
}

p {
 color: var(--colLighter);
 
}

h1 {
  padding: 1em;
}

h2 {
  padding: 0.5em;
}

.glowingtext {
  text-shadow: 0 0 5px var(--colAcc), 0 0 10px var(--colAcc2); 
}

p, h3{
  margin: 1em;
  font-family: 'Courier New', Courier, monospace;
}

a, pre, h1, span{
  font-family: 'Courier New', Courier, monospace;
}

li {
  margin: 0.2em;
  text-align: center;
}

ul {
  padding-left: 1.2em;
  list-style-type: none;
}

iframe {
  display:block;
  width: 100%;
  height: 100%;
}

canvas {
  display:block;
  width: 100%;
  height: 100%;
}

.pagelink {
  height: 30px;
  max-width: 100px;
  margin:0.2em;
}

.button {
  z-index:6;
}

a, a.visited {
  color: var(--colLink);
  text-decoration: none;
}

/*maybe I'll make this cool background at some point
@keyframes moveInCircle {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.backgroundblob {
  position: absolute;
  background: radial-gradient(circle at center, rgba(var(--colAcc), 0.8) 0, rgba(var(--colAcc), 0) 50%) no-repeat;
  mix-blend-mode: hard-light;

  width: var(--circle-size);
  height: var(--circle-size);
  top: calc(50% - var(--circle-size) / 2);
  left: calc(50% - var(--circle-size) / 2);

  transform-origin: center center;
  animation: moveInCircle 30s ease infinite;

  opacity: 1;
  z-index: 3;
}
*/

@media screen and (max-width: 1000px) {
  .columns {
    display: grid;
    grid-template-areas:
    "top"
    "mid"
    "bot";
    grid-template-columns: auto;
    padding: 10px;
    margin: 0;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 2em;
    margin-bottom: 1em;
  }
  .columns div.main {
    grid-area:top;
  }
  .columns div.js {
    grid-area:mid;
  }
  .columns div.links {
    grid-area:bot;
  }
  .header {
    display:grid;
    grid-template-columns: 70% auto;
  }
  .mybutton {
    margin-top: 2em;
  }
}

/*
div img {
  border: 3px solid var(--colMain);
  height: auto;
  border-radius: 0.5em;
  max-width: 1400px;
}*/